final-allChars:./expand allChars < /dev/null
final-and-half:./expand and-half < /dev/null
final-bar:./expand bar < /dev/null
final-barbarians:./expand barbarians < /dev/null
final-boon:./expand boon < /dev/null
final-captain:./expand captain < /dev/null
final-deep0:./expand deep0 < /dev/null
final-deep10:./expand deep10 < /dev/null
final-deep20:./expand deep20 < /dev/null
final-empty:./expand /dev/null < /dev/null
final-eof:./expand eof < /dev/null
final-half:./expand half < /dev/null
final-half-and-half:./expand half-and-half < /dev/null
final-huge3:./expand huge3 < /dev/null
final-huge5:./expand huge5 < /dev/null
final-moby:./expand moby < /dev/null
final-multi-moby:./expand multi-moby < /dev/null
final-no-expansion:./expand no-expansion < /dev/null
final-noun-phrase:./expand noun-phrase < /dev/null
final-null:./expand null < /dev/null
final-programmer:./expand programmer < /dev/null
final-programmer-barn:./expand programmer-barn < /dev/null
final-programmer-baron:./expand programmer-baron < /dev/null
final-sentence:./expand sentence < /dev/null
final-song:./expand song < /dev/null
final-verb-phrase:./expand verb-phrase < /dev/null
final-stdin:echo stdin test | ./expand
final-stdin-empty:./expand < /dev/null
final-stdin-expand:echo 'stdin walks into a |bar|' | ./expand
final-stdin-multi-expand:echo '|bar| |bar| |bar|' | ./expand
final-stdin-huge5:echo '|huge5| walks into a |bar|' | ./expand
final-multi-arg:./expand bar bar bar < /dev/null
final-multi-arg-moby:./expand moby moby moby < /dev/null
final-multi-arg-mixed:./expand bar moby bar half moby and-half < /dev/null
final-bad-arg:(./expand thisFileDoesNotExist < /dev/null > /dev/null 2> /dev/null && echo oops) || true
final-vg-empty:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand /dev/null > /dev/null < /dev/null
final-vg-bar:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand bar > /dev/null < /dev/null
final-vg-boon:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand boon > /dev/null < /dev/null
final-vg-huge5:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand huge5 > /dev/null < /dev/null
final-vg-2deep20:valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./expand deep20 deep20 > /dev/null
